Subject: Re: [PATCH 2.6.25.3 1/5] atl1e: Atheros L1E Gigabit Ethernet driver

From: Willy Tarreau <[email-masked]>
Date: Thu, 26 Jun 2008 07:59:07 +0200

On Wed, Jun 25, 2008 at 10:55:50PM -0700, David Miller wrote:
> From: Stephen Hemminger <[email-masked]>
> Date: Wed, 25 Jun 2008 22:48:29 -0700
> 
> > I would prefer that the driver be NAPI only, because configuration
> > choices are hard for users and distribution to make correct
> > choice. Plus it means two choices for your QA to test.
> 
> I agree with Stephen.
> 
> It's absolutely to provide a non-NAPI option, please just remove
> the option and the conditionals from the code.

Also I think it's useless to provide one patch per source file. It'd
be better to have one whole patch, or several ones if some features
may be added incrementally.

Willy